## linux-lts-backport-maverick 2.6.35-22.34~lucid1

=== Makefile ===
VERSION = 2
PATCHLEVEL = 6
SUBLEVEL = 35
EXTRAVERSION = .4
NAME = Sheep on Meth

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	$(Q)@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
export KBUILD_BUILDHOST := $(SUBARCH)
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?=
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

ifeq ($(ARCH),m68knommu)
       hdr-arch  := m68k
endif

KCONFIG_CONFIG	?= .config

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
MODFLAGS	= -DMODULE
CFLAGS_MODULE   = $(MODFLAGS)
AFLAGS_MODULE   = $(MODFLAGS)
LDFLAGS_MODULE  = -T $(srctree)/scripts/module-common.lds
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage

# Prefer linux-backports-modules
ifneq ($(KBUILD_SRC),)
ifneq ($(shell if test -e $(KBUILD_OUTPUT)/ubuntu-build; then echo yes; fi),yes)
UBUNTUINCLUDE := -I/usr/src/linux-headers-lbm-$(KERNELRELEASE)
endif
endif

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := $(UBUNTUINCLUDE) -I$(srctree)/arch/$(hdr-arch)/include -Iinclude \
                   $(if $(KBUILD_SRC), -I$(srctree)/include) \
                   -include include/generated/autoconf.h

# UBUNTU: Include our third party driver stuff too
LINUXINCLUDE   += -Iubuntu/include $(if $(KBUILD_SRC),-I$(srctree)/ubuntu/include)

KBUILD_CPPFLAGS := -D__KERNEL__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -fno-delete-null-pointer-checks
KBUILD_AFLAGS   := -D__ASSEMBLY__

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)

export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION
export ARCH SRCARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC
export CPP AR NM STRIP OBJCOPY OBJDUMP
export MAKE AWK GENKSYMS INSTALLKERNEL PERL UTS_MACHINE
export HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS

export KBUILD_CPPFLAGS NOSTDINC_FLAGS LINUXINCLUDE OBJCOPYFLAGS LDFLAGS
export KBUILD_CFLAGS CFLAGS_KERNEL CFLAGS_MODULE CFLAGS_GCOV
export KBUILD_AFLAGS AFLAGS_KERNEL AFLAGS_MODULE

=== debian/control ===
Source: linux-lts-backport-maverick
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [amd64 i386], device-tree-compiler [powerpc], libelf-dev, binutils-dev, rsync
Build-Depends-Indep: xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc
Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-lucid.git

Package: linux-headers-2.6.35-22
Architecture: all
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0)
Provides: linux-lts-backport-maverick-headers, linux-lts-backport-maverick-headers-2.6
Description: Header files related to Linux kernel version 2.6.35
 This package provides kernel header files for version 2.6.35, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-lts-backport-maverick-headers-2.6.35-22/debian.README.gz for details


Package: linux-image-2.6.35-22-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-2.6, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, ndiswrapper-modules-1.9
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Breaks: lvm2 (<< 2.02.54-1ubuntu3)
Recommends: grub-pc | grub | lilo (>= 19.1)
Suggests: fdutils, linux-lts-backport-maverick-doc-2.6.35 | linux-lts-backport-maverick-source-2.6.35, linux-lts-backport-maverick-tools
Description: Linux kernel image for version 2.6.35 on x86/x86_64
 This package contains the Linux kernel image for version 2.6.35 on
 x86/x86_64.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward desktop systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-2.6.35-22-generic
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-2.6.35-22, ${shlibs:Depends}
Provides: linux-lts-backport-maverick-headers, linux-lts-backport-maverick-headers-2.6
Description: Linux kernel headers for version 2.6.35 on x86/x86_64
 This package provides kernel header files for version 2.6.35 on
 x86/x86_64.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-lts-backport-maverick-headers-2.6.35-22/debian.README.gz for details.

Package: linux-image-2.6.35-22-generic-dbgsym
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 2.6.35 on x86/x86_64
 This package provides a kernel debug image for version 2.6.35 on
 x86/x86_64.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-image-2.6.35-22-generic-pae
Architecture: i386
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-2.6, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, ndiswrapper-modules-1.9
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Breaks: lvm2 (<< 2.02.54-1ubuntu3)
Recommends: grub-pc | grub | lilo (>= 19.1)
Suggests: fdutils, linux-lts-backport-maverick-doc-2.6.35 | linux-lts-backport-maverick-source-2.6.35, linux-lts-backport-maverick-tools
Description: Linux kernel image for version 2.6.35 on x86
 This package contains the Linux kernel image for version 2.6.35 on
 x86.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward 32 bit desktop systems with more then 4GB RAM.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic-pae meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-2.6.35-22-generic-pae
Architecture: i386
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-2.6.35-22, ${shlibs:Depends}
Provides: linux-lts-backport-maverick-headers, linux-lts-backport-maverick-headers-2.6
Description: Linux kernel headers for version 2.6.35 on x86
 This package provides kernel header files for version 2.6.35 on
 x86.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-lts-backport-maverick-headers-2.6.35-22/debian.README.gz for details.

Package: linux-image-2.6.35-22-generic-pae-dbgsym
Architecture: i386
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 2.6.35 on x86
 This package provides a kernel debug image for version 2.6.35 on
 x86.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-image-2.6.35-22-server
Architecture: amd64
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-2.6, fuse-module, redhat-cluster-modules, kvm-api-4, ivtv-modules, ndiswrapper-modules-1.9
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Breaks: lvm2 (<< 2.02.54-1ubuntu3)
Recommends: grub-pc | grub | lilo (>= 19.1)
Suggests: fdutils, linux-lts-backport-maverick-doc-2.6.35 | linux-lts-backport-maverick-source-2.6.35, linux-lts-backport-maverick-tools
Description: Linux kernel image for version 2.6.35 on x86_64
 This package contains the Linux kernel image for version 2.6.35 on
 x86_64.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Server processors.
 .
 Geared toward 64 bit server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-2.6.35-22-server
Architecture: amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-2.6.35-22, ${shlibs:Depends}
Provides: linux-lts-backport-maverick-headers, linux-lts-backport-maverick-headers-2.6
Description: Linux kernel headers for version 2.6.35 on x86_64
 This package provides kernel header files for version 2.6.35 on
 x86_64.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-lts-backport-maverick-headers-2.6.35-22/debian.README.gz for details.

Package: linux-image-2.6.35-22-server-dbgsym
Architecture: amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 2.6.35 on x86_64
 This package provides a kernel debug image for version 2.6.35 on
 x86_64.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-image-2.6.35-22-virtual
Architecture: i386 amd64
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-2.6, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, ndiswrapper-modules-1.9
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Breaks: lvm2 (<< 2.02.54-1ubuntu3)
Recommends: grub-pc | grub | lilo (>= 19.1)
Suggests: fdutils, linux-lts-backport-maverick-doc-2.6.35 | linux-lts-backport-maverick-source-2.6.35, linux-lts-backport-maverick-tools
Description: Linux kernel image for version 2.6.35 on x86/x86_64
 This package contains the Linux kernel image for version 2.6.35 on
 x86/x86_64.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Virtual processors.
 .
 Geared toward virtual appliances.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-virtual meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-2.6.35-22-virtual
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-2.6.35-22, ${shlibs:Depends}
Provides: linux-lts-backport-maverick-headers, linux-lts-backport-maverick-headers-2.6
Description: Linux kernel headers for version 2.6.35 on x86/x86_64
 This package provides kernel header files for version 2.6.35 on
 x86/x86_64.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-lts-backport-maverick-headers-2.6.35-22/debian.README.gz for details.

Package: linux-image-2.6.35-22-virtual-dbgsym
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 2.6.35 on x86/x86_64
 This package provides a kernel debug image for version 2.6.35 on
 x86/x86_64.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: kernel-image-2.6.35-22-generic-di
XC-Package-Type: udeb
Provides: kernel-image
Architecture: amd64
XB-Kernel-Version: 2.6.35-22-generic
Section: debian-installer
Priority: extra
Description: Linux kernel binary image for the Debian installer
 This package contains the Linux kernel image for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

Package: nic-modules-2.6.35-22-generic-di
XC-Package-Type: udeb
Provides: nic-modules
Depends: kernel-image-2.6.35-22-generic-di, nic-shared-modules-2.6.35-22-generic-di, virtio-modules-2.6.35-22-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.35-22-generic
Section: debian-installer
Priority: standard
Description: Network interface support

Package: nic-shared-modules-2.6.35-22-generic-di
XC-Package-Type: udeb
Provides: nic-shared-modules
Depends: kernel-image-2.6.35-22-generic-di, crypto-modules-2.6.35-22-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.35-22-generic
Section: debian-installer
Priority: standard
Description: nic shared modules
  This package contains modules which support nic modules

Package: serial-modules-2.6.35-22-generic-di
XC-Package-Type: udeb
Provides: serial-modules
Depends: kernel-image-2.6.35-22-generic-di
Architecture: amd64
XB-Kernel-Version: 2.6.35-22-generic
Section: debian-installer

## linux-lts-backport-maverick 2.6.35-25.44~lucid1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 VERSION = 2
 PATCHLEVEL = 6
 SUBLEVEL = 35
-EXTRAVERSION = .4
-NAME = Sheep on Meth
+EXTRAVERSION = .10
+NAME = Yokohama
 
 # *DOCUMENTATION*
 # To see a list of typical targets execute "make help"

=== debian/changelog ===
linux-lts-backport-maverick (2.6.35-25.44~lucid1) lucid; urgency=low

  [ Tim Gardner ]

  * Tracking bug
    - LP:# 707577

  [ Upstream Kernel Changes ]

  * Revert "drm/radeon/kms: properly compute group_size on 6xx/7xx"
    - LP: #703553

 -- Steve Conklin <sconklin@canonical.com>  Fri, 21 Jan 2011 10:30:04 -0800

linux (2.6.35-25.43) maverick-proposed; urgency=low

  [ Brad Figg ]

  - LP: #697948

  [ Andy Whitcroft ]

  * [Config] add vmware-balloon driver to -virtual flavour
    - LP: #592039

  [ Manoj Iyer ]

  * SAUCE: Enable jack sense for Thinkpad Edge 13
    - LP: #685015

  [ Robert Hooker ]

  * Revert "(pre-stable): input: Support Clickpad devices in ClickZone
    mode"
    - LP: #669399

  [ Stefan Bader ]

  * Set virtual flavour maximum of domain visible memory to 70G
    - LP: #667796

  [ Takashi Iwai ]

  * SAUCE: input: Support Clickpad devices in ClickZone mode
    - LP: #516329

  [ Tim Gardner ]

  * [Config] Add nfsd modules to -virtual flavour
    - LP: #688070
  * [Config] Added autofs4.ko to -virtual flavour
    - LP: #692917

  [ Upstream Kernel Changes ]

  * intel_idle: delete substates DEBUG modparam
    - LP: #684888
  * intel_idle: delete power_policy modparam, and choose substate functions
    - LP: #684888
  * intel_idle: add support for Westmere-EX
    - LP: #684888
  * intel_idle: recognize Lincroft Atom Processor
    - LP: #684888
  * x86, mwait: Move mwait constants to a common header file
    - LP: #684888
  * intel_idle: Change mode 755 => 644
    - LP: #684888
  * intel_idle: add missing __percpu markup
    - LP: #684888
  * cpuidle: extend cpuidle and menu governor to handle dynamic states
    - LP: #684888
  * intel_idle: Voluntary leave_mm before entering deeper
    - LP: #684888
  * intel_idle: enable Atom C6
    - LP: #684888
  * intel_idle: simplify test for leave_mm()
    - LP: #684888
  * intel_idle: delete bogus data from cpuidle_state.power_usage
    - LP: #684888
  * intel_idle: add initial Sandy Bridge support
    - LP: #684888
  * intel_idle: do not use the LAPIC timer for ATOM C2
    - LP: #684888
  * staging: usbip: Notify usb core of port status changes
    - LP: #686158
  * staging: usbip: Process event flags without delay
    - LP: #686158
  * Staging: phison: fix problem caused by libata change
    - LP: #686158
  * perf_events: Fix bogus AMD64 generic TLB events
    - LP: #686158
  * perf_events: Fix bogus context time tracking
    - LP: #686158
  * powerpc/perf: Fix sampling enable for PPC970
    - LP: #686158
  * pcmcia: synclink_cs: fix information leak to userland
    - LP: #686158
  * sched: Drop all load weight manipulation for RT tasks
    - LP: #686158
  * sched: Fix string comparison in /proc/sched_features
    - LP: #686158
  * bluetooth: Fix missing NULL check
    - LP: #686158
  * futex: Fix errors in nested key ref-counting
    - LP: #686158
  * cifs: fix broken oplock handling
    - LP: #686158
  * libahci: fix result_tf handling after an ATA PIO data-in command
    - LP: #686158
  * mm, x86: Saving vmcore with non-lazy freeing of vmas
    - LP: #686158
  * x86, cpu: Fix renamed, not-yet-shipping AMD CPUID feature bit
    - LP: #686158
  * x86, kexec: Make sure to stop all CPUs before exiting the kernel
    - LP: #686158
  * x86, olpc: Don't retry EC commands forever
    - LP: #686158
  * x86, mtrr: Assume SYS_CFG[Tom2ForceMemTypeWB] exists on all future AMD
    CPUs
    - LP: #686158
  * x86, intr-remap: Set redirection hint in the IRTE
    - LP: #686158
  * x86, kdump: Change copy_oldmem_page() to use cached addressing
    - LP: #686158
  * x86, vm86: Fix preemption bug for int1 debug and int3 breakpoint
    handlers.
    - LP: #686158
  * KVM: X86: Report SVM bit to userspace only when supported
    - LP: #686158
  * KVM: SVM: Restore correct registers after sel_cr0 intercept emulation
    - LP: #686158
  * USB: mct_u232: fix broken close
    - LP: #686158
  * pipe: fix failure to return error code on ->confirm()
    - LP: #686158
  * p54usb: fix off-by-one on !CONFIG_PM
    - LP: #686158
  * p54usb: add five more USBIDs
    - LP: #686158
  * drivers/net/wireless/p54/eeprom.c: Return -ENOMEM on memory allocation
    failure
    - LP: #686158
  * usb gadget: composite: prevent OOPS for non-standard control request
    - LP: #686158
  * USB: gadget: g_ffs: fixed vendor and product ID
    - LP: #686158
  * USB: gadget: g_multi: fixed vendor and product ID
    - LP: #686158
  * USB: ftdi_sio: Add PID for accesio products
    - LP: #686158
  * USB: ftdi_sio: revert "USB: ftdi_sio: fix DTR/RTS line modes"
    - LP: #686158, #690798
  * USB: add PID for FTDI based OpenDCC hardware
    - LP: #686158
  * USB: ftdi_sio: new VID/PIDs for various Papouch devices
    - LP: #686158
  * USB: ftdi_sio: add device ids for ScienceScope
    - LP: #686158
  * USB: MUSB: fix kernel WARNING/oops when unloading module in OTG mode
    - LP: #686158
  * usb: musb: blackfin: call usb_nop_xceiv_unregister() in
    musb_platform_exit()
    - LP: #686158
  * usb: musb: blackfin: call gpio_free() on error path in
    musb_platform_init()
    - LP: #686158
  * USB: Change acm_iad_descriptor bFunctionProtocol to
    USB_CDC_ACM_PROTO_AT_V25TER
    - LP: #686158
  * USB: option: Add more ZTE modem USB id's
    - LP: #686158
  * USB: cp210x: Add Renesas RX-Stick device ID
    - LP: #686158
  * USB: cp210x: Add WAGO 750-923 Service Cable device ID
    - LP: #686158
  * USB: atmel_usba_udc: force vbus_pin at -EINVAL when gpio_request
    failled
    - LP: #686158
  * USB: disable endpoints after unbinding interfaces, not before
    - LP: #686158
  * USB: visor: fix initialisation of UX50/TH55 devices
    - LP: #686158
  * USB: opticon: Fix long-standing bugs in opticon driver
    - LP: #686158
  * usb: r8a66597-hcd: Change mistake of the outsw function
    - LP: #686158
  * USB: accept some invalid ep0-maxpacket values
    - LP: #686158
  * asus-laptop: fix gps rfkill
    - LP: #686158
  * sd name space exhaustion causes system hang


=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
 Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-lucid.git
 
-Package: linux-headers-2.6.35-22
+Package: linux-headers-2.6.35-25
 Architecture: all
 Section: devel
 Priority: optional
@@ -17,10 +17,10 @@
 Description: Header files related to Linux kernel version 2.6.35
  This package provides kernel header files for version 2.6.35, for sites
  that want the latest kernel headers. Please read
- /usr/share/doc/linux-lts-backport-maverick-headers-2.6.35-22/debian.README.gz for details
-
-
-Package: linux-image-2.6.35-22-generic
+ /usr/share/doc/linux-lts-backport-maverick-headers-2.6.35-25/debian.README.gz for details
+
+
+Package: linux-image-2.6.35-25-generic
 Architecture: i386 amd64
 Section: admin
 Priority: optional
@@ -47,20 +47,20 @@
  the linux-generic meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-headers-2.6.35-22-generic
-Architecture: i386 amd64
-Section: devel
-Priority: optional
-Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-2.6.35-22, ${shlibs:Depends}
+Package: linux-headers-2.6.35-25-generic
+Architecture: i386 amd64
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-2.6.35-25, ${shlibs:Depends}
 Provides: linux-lts-backport-maverick-headers, linux-lts-backport-maverick-headers-2.6
 Description: Linux kernel headers for version 2.6.35 on x86/x86_64
  This package provides kernel header files for version 2.6.35 on
  x86/x86_64.
  .
  This is for sites that want the latest kernel headers.  Please read
- /usr/share/doc/linux-lts-backport-maverick-headers-2.6.35-22/debian.README.gz for details.
-
-Package: linux-image-2.6.35-22-generic-dbgsym
+ /usr/share/doc/linux-lts-backport-maverick-headers-2.6.35-25/debian.README.gz for details.
+
+Package: linux-image-2.6.35-25-generic-dbgsym
 Architecture: i386 amd64
 Section: devel
 Priority: optional
@@ -76,7 +76,7 @@
  is uncompressed, and unstripped. This package also includes the
  unstripped modules.
 
-Package: linux-image-2.6.35-22-generic-pae
+Package: linux-image-2.6.35-25-generic-pae
 Architecture: i386
 Section: admin
 Priority: optional
@@ -103,20 +103,20 @@
  the linux-generic-pae meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-headers-2.6.35-22-generic-pae
+Package: linux-headers-2.6.35-25-generic-pae
 Architecture: i386
 Section: devel
 Priority: optional
-Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-2.6.35-22, ${shlibs:Depends}
+Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-2.6.35-25, ${shlibs:Depends}
 Provides: linux-lts-backport-maverick-headers, linux-lts-backport-maverick-headers-2.6
 Description: Linux kernel headers for version 2.6.35 on x86
  This package provides kernel header files for version 2.6.35 on
  x86.
  .
  This is for sites that want the latest kernel headers.  Please read
- /usr/share/doc/linux-lts-backport-maverick-headers-2.6.35-22/debian.README.gz for details.
-
-Package: linux-image-2.6.35-22-generic-pae-dbgsym
+ /usr/share/doc/linux-lts-backport-maverick-headers-2.6.35-25/debian.README.gz for details.
+
+Package: linux-image-2.6.35-25-generic-pae-dbgsym
 Architecture: i386
 Section: devel
 Priority: optional
@@ -132,7 +132,7 @@
  is uncompressed, and unstripped. This package also includes the
  unstripped modules.
 
-Package: linux-image-2.6.35-22-server
+Package: linux-image-2.6.35-25-server
 Architecture: amd64
 Section: admin
 Priority: optional
@@ -159,20 +159,20 @@
  the linux-server meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-headers-2.6.35-22-server
-Architecture: amd64
-Section: devel
-Priority: optional
-Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-2.6.35-22, ${shlibs:Depends}
+Package: linux-headers-2.6.35-25-server
+Architecture: amd64
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-2.6.35-25, ${shlibs:Depends}
 Provides: linux-lts-backport-maverick-headers, linux-lts-backport-maverick-headers-2.6
 Description: Linux kernel headers for version 2.6.35 on x86_64
  This package provides kernel header files for version 2.6.35 on
  x86_64.
  .
  This is for sites that want the latest kernel headers.  Please read
- /usr/share/doc/linux-lts-backport-maverick-headers-2.6.35-22/debian.README.gz for details.
-
-Package: linux-image-2.6.35-22-server-dbgsym
+ /usr/share/doc/linux-lts-backport-maverick-headers-2.6.35-25/debian.README.gz for details.
+
+Package: linux-image-2.6.35-25-server-dbgsym
 Architecture: amd64
 Section: devel
 Priority: optional
@@ -188,7 +188,7 @@
  is uncompressed, and unstripped. This package also includes the
  unstripped modules.
 
-Package: linux-image-2.6.35-22-virtual
+Package: linux-image-2.6.35-25-virtual
 Architecture: i386 amd64
 Section: admin
 Priority: optional
@@ -215,20 +215,20 @@
  the linux-virtual meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-headers-2.6.35-22-virtual
-Architecture: i386 amd64
-Section: devel
-Priority: optional
-Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-2.6.35-22, ${shlibs:Depends}
+Package: linux-headers-2.6.35-25-virtual
+Architecture: i386 amd64
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-2.6.35-25, ${shlibs:Depends}
 Provides: linux-lts-backport-maverick-headers, linux-lts-backport-maverick-headers-2.6
 Description: Linux kernel headers for version 2.6.35 on x86/x86_64
  This package provides kernel header files for version 2.6.35 on
  x86/x86_64.
  .
  This is for sites that want the latest kernel headers.  Please read
- /usr/share/doc/linux-lts-backport-maverick-headers-2.6.35-22/debian.README.gz for details.
-
-Package: linux-image-2.6.35-22-virtual-dbgsym
+ /usr/share/doc/linux-lts-backport-maverick-headers-2.6.35-25/debian.README.gz for details.
+
+Package: linux-image-2.6.35-25-virtual-dbgsym
 Architecture: i386 amd64
 Section: devel
 Priority: optional
@@ -244,11 +244,11 @@
  is uncompressed, and unstripped. This package also includes the
  unstripped modules.
 
-Package: kernel-image-2.6.35-22-generic-di
+Package: kernel-image-2.6.35-25-generic-di
 XC-Package-Type: udeb
 Provides: kernel-image
 Architecture: amd64
-XB-Kernel-Version: 2.6.35-22-generic
+XB-Kernel-Version: 2.6.35-25-generic
 Section: debian-installer
 Priority: extra
 Description: Linux kernel binary image for the Debian installer
@@ -256,31 +256,31 @@
  boot images. It does _not_ provide a usable kernel for your full
  Debian system.
 
-Package: nic-modules-2.6.35-22-generic-di
+Package: nic-modules-2.6.35-25-generic-di
 XC-Package-Type: udeb
 Provides: nic-modules
-Depends: kernel-image-2.6.35-22-generic-di, nic-shared-modules-2.6.35-22-generic-di, virtio-modules-2.6.35-22-generic-di
-Architecture: amd64
-XB-Kernel-Version: 2.6.35-22-generic
+Depends: kernel-image-2.6.35-25-generic-di, nic-shared-modules-2.6.35-25-generic-di, virtio-modules-2.6.35-25-generic-di
+Architecture: amd64
+XB-Kernel-Version: 2.6.35-25-generic
 Section: debian-installer
 Priority: standard
 Description: Network interface support
 
-Package: nic-shared-modules-2.6.35-22-generic-di
+Package: nic-shared-modules-2.6.35-25-generic-di
 XC-Package-Type: udeb
 Provides: nic-shared-modules
-Depends: kernel-image-2.6.35-22-generic-di, crypto-modules-2.6.35-22-generic-di
-Architecture: amd64
-XB-Kernel-Version: 2.6.35-22-generic
+Depends: kernel-image-2.6.35-25-generic-di, crypto-modules-2.6.35-25-generic-di
+Architecture: amd64
+XB-Kernel-Version: 2.6.35-25-generic
 Section: debian-installer
 Priority: standard
 Description: nic shared modules
   This package contains modules which support nic modules
 
-Package: serial-modules-2.6.35-22-generic-di
+Package: serial-modules-2.6.35-25-generic-di
 XC-Package-Type: udeb
 Provides: serial-modules
-Depends: kernel-image-2.6.35-22-generic-di
-Architecture: amd64
-XB-Kernel-Version: 2.6.35-22-generic
-Section: debian-installer
+Depends: kernel-image-2.6.35-25-generic-di
+Architecture: amd64
+XB-Kernel-Version: 2.6.35-25-generic
+Section: debian-installer

## linux-lts-backport-maverick 2.6.35-32.66~lucid1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 VERSION = 2
 PATCHLEVEL = 6
 SUBLEVEL = 35
-EXTRAVERSION = .10
+EXTRAVERSION = .14
 NAME = Yokohama
 
 # *DOCUMENTATION*

## linux-lts-backport-maverick 2.6.35-32.67~lucid1

=== net/core/Makefile ===
#
# Makefile for the Linux networking core.
#

obj-y := sock.o request_sock.o skbuff.o iovec.o datagram.o stream.o scm.o \
	 gen_stats.o gen_estimator.o net_namespace.o secure_seq.o

obj-$(CONFIG_SYSCTL) += sysctl_net_core.o

obj-y		     += dev.o ethtool.o dev_addr_lists.o dst.o netevent.o \
			neighbour.o rtnetlink.o utils.o link_watch.o filter.o

obj-$(CONFIG_XFRM) += flow.o
obj-y += net-sysfs.o
obj-$(CONFIG_NET_PKTGEN) += pktgen.o
obj-$(CONFIG_NETPOLL) += netpoll.o
obj-$(CONFIG_NET_DMA) += user_dma.o
obj-$(CONFIG_FIB_RULES) += fib_rules.o
obj-$(CONFIG_TRACEPOINTS) += net-traces.o
obj-$(CONFIG_NET_DROP_MONITOR) += drop_monitor.o
